This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497130 - Include OSGi metadata
Include OSGi metadata
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wsdl4j (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 251747
  Show dependency treegraph
 
Reported: 2009-04-22 09:37 EDT by Andrew Overholt
Modified: 2009-04-23 15:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 16:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2009-04-22 09:37:20 EDT
We'd like to ship the JIRA plugin for Eclipse Mylyn.  To do so, we need axis 1.4 which in turn needs OSGi metadata in this page.  It can be found here:

http://dev.eclipse.org/viewcvs/index.cgi/org.eclipse.orbit/javax.wsdl/?root=Tools_Project&pathrev=v1_5_1
Comment 1 Deepak Bhole 2009-04-22 11:51:59 EDT
Sorry, I am not too familiar with OSGi and how eclipse uses it. The axis rpm has multiple jars:

$ rpm -ql axis | grep jar$
/usr/share/java/axis/axis-1.2.1.jar
/usr/share/java/axis/axis-ant-1.2.1.jar
/usr/share/java/axis/axis-ant.jar
/usr/share/java/axis/axis.jar
/usr/share/java/axis/jaxrpc-1.2.1.jar
/usr/share/java/axis/jaxrpc.jar
/usr/share/java/axis/saaj-1.2.1.jar
/usr/share/java/axis/saaj.jar

Which ones should the manifest be added to?
Comment 2 Andrew Overholt 2009-04-22 12:22:18 EDT
In my first comment I said "in this page" when I meant "in this package".  Sorry.

What we need is one of the wsdl4j JARs (if there is more than one) to contain the META-INF/MANIFEST.MF OSGi data.  It can be in any of the JARs as long as we know which one it is so that we can symlink it into our build directory and install directory.  Equinox (the OSGi runtime) will take care of finding the metadata and determining the bundle version, etc. from there.
Comment 3 Deepak Bhole 2009-04-22 15:09:23 EDT
The linked manifest appears to be for wsdl4j. Are you sure the manifest for axis needs to be changed for this? There is a separate wsdl4j package that provides ws4l4j.jar and it appears to be the right place for the manifest changes.
Comment 4 Andrew Overholt 2009-04-22 15:18:17 EDT
This bug is filed against wsdl4j.
Comment 5 Deepak Bhole 2009-04-22 15:36:59 EDT
Doh! Sorry about that, for some reason I've been thinking it was against axis :(
Comment 6 Deepak Bhole 2009-04-22 16:53:42 EDT
Wsdl4j already had a manifest, but the version was lower than what axis needed. I have bumped the version in the manifest to match the actual version. Please give it a try now and let me know if there are any problems:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1315665
Comment 7 Andrew Overholt 2009-04-23 15:15:03 EDT
This works great from within Eclipse.  The real test will be to build against it and verify that functionality works but for now I think we're good.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.